Package org.eclipse.ui.views.navigator

## Class SortViewAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.SelectionProviderAction
        - - org.eclipse.ui.views.navigator.ResourceNavigatorAction
          - - org.eclipse.ui.views.navigator.SortViewAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

    @Deprecated
    public class SortViewAction
    extends ResourceNavigatorAction

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead
Implementation of the view sorting actions.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients. Planned to be deleted, please see Bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=549953
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`SortViewAction​(IResourceNavigator navigator, boolean sortByType)` Deprecated. Creates the action.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `run()` Deprecated. The default implementation of this `IAction` method does nothing.

### Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorAction

`getNavigator, getShell, getViewer, getWorkbench, getWorkbenchWindow`

### Methods inherited from class org.eclipse.ui.actions.SelectionProviderAction

`dispose, getSelection, getSelectionProvider, getStructuredSelection, selectionChanged, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SortViewAction

    public SortViewAction​(IResourceNavigator navigator,
                          boolean sortByType)

Deprecated.
Creates the action.

Parameters:
  `navigator` - the resource navigator
  `sortByType` - `true` for sort by type, `false` for sort by name

### Method Detail

#### run

    public void run()

Deprecated.
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`